@echo off
cd /d "%~dp0"
setlocal enabledelayedexpansion
setlocal enableextensions
 
REM 使用 WMIC 命令查找 webcam 的 HWID
for /f "tokens=2 delims=={} " %%a in ('wmic path Win32_PnPEntity where "Caption like '%%webcam%%'" get HardwareID /value ^| find "="') do (
    set WebcamHWID=%%a
)

set WebcamHWID=!WebcamHWID:amp;=!
set WebcamHWID=!WebcamHWID:~0,-1!
set WebcamHWID=!WebcamHWID:"=!

for /f "tokens=2 delims=," %%b in ("!WebcamHWID!") do (
    set WebcamHWID=%%b
)


REM 檢查是否找到 webcam HWID
If defined WebcamHWID (
       echo Found Webcam HWID:!WebcamHWID!
)

   if "!WebcamHWID:~0,44!"=="USB\VID_04F2&PID_B68B&MI_00" (
   set DriverInf=SpitExMEP.inf
   goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_04F2&PID_B71A&MI_00" (
        set DriverInf=SpitExMEP.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_04F2&PID_B7DD&MI_00" (
        set DriverInf=SpitExMEP.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_04F2&PID_B75C&MI_00" (
        set DriverInf=SpitExMEP.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_04F2&PID_B7C2&MI_00" (
        set DriverInf=SpitExMEP.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_04F2&PID_B7DC&MI_00" (
        set DriverInf=SpitExMEP.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_2B7E&PID_B651&MI_00" (
        set DriverInf=SpitExMEP.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_2B7E&PID_B663&MI_00" (
        set DriverInf=SpitExMEP.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_2B7E&PID_C664&MI_00" (
        set DriverInf=SpitExMEP.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_2B7E&PID_C757&MI_00" (
        set DriverInf=SpitExMEP.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_04F2&PID_B65A&MI_00" (
        set DriverInf=RtExtTF.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_04F2&PID_B711&MI_00" (
        set DriverInf=RtExtTF.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_04F2&PID_B78A&MI_00" (
        set DriverInf=RtExtTF.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_2B7E&PID_B656&MI_00" (
        set DriverInf=RtExtTF.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_2B7E&PID_B680&MI_00" (
        set DriverInf=RtExtTF.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_2B7E&PID_C791&MI_00" (
        set DriverInf=RtExtTF.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_2B7E&PID_C830&MI_00" (
        set DriverInf=RtExtTF.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_2B7E&PID_C858&MI_00" (
        set DriverInf=RtExtTF.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_04F2&PID_B610&MI_00" (
        set DriverInf=snDMFT.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_04F2&PID_B641&MI_00" (
        set DriverInf=snDMFT.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_04F2&PID_B642&MI_00" (
        set DriverInf=snDMFT.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_04F2&PID_B712&MI_00" (
        set DriverInf=snDMFT.inf
        goto :install

)  else if "!WebcamHWID:~0,44!"=="USB\VID_04F2&PID_B713&MI_00" (
        set DriverInf=snDMFT.inf
        goto :install

)  else (
   echo Unknown Webcam HWID:!WebcamHWID!
   goto :end
)

echo Install driver :"!DriverInf!"
REM 使用 pnputil 命令來安裝 INF 驅動程式
:install
 pnputil -i -a "!DriverInf!"

:end
endlocal


pause